com.holonplatform.vaadin7.components.builders

## Interface StringInputBuilder

- All Superinterfaces:
    ComponentConfigurator<StringInputBuilder>, InputBuilder<String,Input<String>,StringInputBuilder>, InputConfigurator<String,StringInputBuilder>, TextInputBuilder<String,Input<String>,StringInputBuilder>

      public interface StringInputBuilder
      extends TextInputBuilder<String,Input<String>,StringInputBuilder>

  Builder to create `String` type `Input` instances backed by a text input widget.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringInputBuilder` | `blankValuesAsNull(boolean enable)` Enable or disable treating blank String values (with 0 length or whitespaces only Strings) as `null` values.
    `StringInputBuilder` | `emptyValuesAsNull(boolean enable)` Enable or disable treating empty String values as `null` values.
    `StringInputBuilder` | `rows(int rows)` If field is rendered as a text area in UI, set the number of rows of the text area

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.TextInputBuilder

      `inputPrompt, inputPrompt, inputPrompt, maxLength, textChangeEventMode, textChangeTimeout, withBlurListener, withFocusListener, withTextChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputBuilder

      `asField, build, deferLocalization, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### rows

          StringInputBuilder rows(int rows)

      If field is rendered as a text area in UI, set the number of rows of the text area
      Parameters:
        `rows` - the number of rows of the text area
      Returns:
        this

    - #### emptyValuesAsNull

          StringInputBuilder emptyValuesAsNull(boolean enable)

      Enable or disable treating empty String values as `null` values.

      By default this behaviour is enabled.

      Parameters:
        `enable` - True to treat empty String values as `null` values
      Returns:
        this

    - #### blankValuesAsNull

          StringInputBuilder blankValuesAsNull(boolean enable)

      Enable or disable treating blank String values (with 0 length or whitespaces only Strings) as `null` values.

      By default this behaviour is disabled.

      Parameters:
        `enable` - True to treat blank String values (with 0 length or whitespaces only Strings) as `null` values
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.